petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatNestGetISs

Returns the index sets partitioning the row and column spaces

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetISs(Mat A,IS rows[],IS cols[])

Not collective

### Input Parameters

A -nest matrix

### Output Parameter

| rows | - array of row index sets
| cols | - array of column index sets

### Notes

The user must have allocated arrays of the correct size. The reference count is not increased on the returned ISs.

### See Also

MatNestGetSubMat(), MatNestGetSubMats(), MatNestGetSize(), MatNestGetLocalISs()

Level:advanced
Location:src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex70.c.html